#!/bin/bash
wifis="$(nmcli -t -f type,device device | sed -n -e 's/^wifi://p')"
[ -n "$wifis" ] || exit 1

for wifi in $wifis ; do
    iwlist $wifi scan >/dev/null 2>&1 || exit 1
done
nmcli device wifi rescan ssid eduroam >/dev/null 2>&1

[ -n "$(nmcli -t -f ssid device wifi | sed -n -e '/^[Ee]duroam$/p')" ] || exit 1

exit 0


